﻿local CustomDecoration = foundation.createMod();

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.8") < 0) then
    CustomDecoration:log("CustomDecoration: game version < 1.8")
    return
end
_scriptFolder = "scripts1.8"
CustomDecoration:msgBox("CustomDecoration: game version" .. foundation.getGameVersion())

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
CustomDecoration:dofile(_scriptFolder .. "/common.lua")

_NoSandbox = difficultyLevel(CustomDecoration, "CustomDecoration")

CustomDecoration:dofile(_scriptFolder .. "/monument.lua")
